from dataclasses import dataclass
from uuid import UUID
from datetime import datetime

from pydantic import BaseModel


class CreateUserSchema(BaseModel):
    username: str
    password: str


class CreatedUserResponseSchema(BaseModel):
    id: UUID
    username: str


class UserAllOptionalSchema(BaseModel):
    username: None | str = None
    password: None | str = None


class RefreshTokenSchema(BaseModel):
    refresh_token: str


@dataclass
class TokenData:
    sub: int
    exp: datetime | None = None


@dataclass
class LoginRequestModel:
    username: str
    password: str
